--[[
			Want to translate?
			
			Copy everything from Localization-enUSlua into this file: Search and replace enUS with zhTW
			
			Then translate the right hand side of everything, (here's a German example):
			["lock_cmd"] = "Sperren",
			...
			["eep_info"] = "Enhancer's Vergleichspunkte:",
		
			Anything ending with _cmd is used as a console commmand and I usually try to keep those as one word.
			Things like: ["Gem"] = true should be translated as ["Gem"] = "Edelstein" since true can only be used in the enUS locale
			
			Once you are done mail it to me at dennis.hafstrom@gmail.com and I'll add it to the distributed files :)
]]--
local U = Enhancer_URLs; -- Read up URLs, " .. U["EJ"] .. "
local locale = "zhTW";

local L_Main = AceLibrary("AceLocale-2.2"):new("Enhancer")
L_Main:RegisterTranslations(locale, function() return {
	["translator"] = "onlyfly",
	
	["waterfall_cmd"] = "set",
	["waterfall_desc"] = "打開設定選單",
	
	["lock_cmd"] = "鎖定",
	["lock_desc"] = "是否鎖定框體的位置",
	
	["reset_cmd"] = "重置",
	["reset_desc"] = "重置所有位置為默認",
	
	["resize_cmd"] = "尺寸",
	["resize_desc"] = "設定框體尺寸大小",
	
	["element_group_cmd"] = "圖騰計時框體設置",
	["element_group_desc"] = "打開圖騰是否顯示計時的設置",
	["earth_cmd"] = "大地圖騰",
	["fire_cmd"] = "火焰圖騰",
	["water_cmd"] = "水之圖騰",
	["air_cmd"] = "空氣圖騰",
	["element_desc"] = "設定顯示所有%s的計時框體",
	
	["bonus_group_cmd"] = "其他計時框體",
	["bonus_group_desc"] = "設定其他相關魔法計時框體的開/關",
	["windfury_cmd"] = "風怒",
	["windfury_desc"] = "設定框體以顯示或隱藏風怒的冷卻時間",
	["reincarnation_cmd"] = "復生",
	["reincarnation_desc"] = "設定框體以顯示或隱藏復生的冷卻時間",
	
	["ep_cmd"] = "等價指數(EP)",
	["ep_desc"] = "設定在滑鼠提示上顯示裝備的相關等價指數(EP)",
	["ep_group_cmd"] = "等價指數(EP)類型",
	["ep_group_desc"] = "選擇顯示哪種等價指數(EP)",
	["ep_gemq_cmd"] = "寶石品質",
	["ep_gemq_desc"] = "設定寶石最高品質(1 = 無, 2 = 優秀, 3 = 精良, 4 = 史詩)",
	["ep_gemqn_cmd"] = "寶石品質(非史詩物品)",
	["ep_gemqn_desc"] = "設定在非史詩物品上使用的寶石最高品質(1 = 無, 2 = 優秀, 3 = 精良, 4 = 史詩)",
	["ep_gemm_cmd"] = "變換寶石",
	["ep_gemm_desc"] = "設定是否在計算中包含變換寶石",
	["ep_info_cmd"] = "消息",
	["ep_info_desc"] = "關於等價指數(EP)的更多消息",
	["ep_info_exec"] = "可以在以下網站查找 \"your\" AEP:\r1) " .. U["CrazyShamanCalc"] .. "\r2) " .. U["EJ"] .. "\r3) " .. U["WoWEquipO"] .. "\r4) " .. U["Pater"] .. "\r默認AEP設定值由Tornhoof/Pater提供",
	["epz_cmd"] = "EP為0是否顯示",
	["epz_desc"] = "即使指數為 0 照樣顯示",
	["aep_cmd"] = "攻擊強度等價指數(AEP)",
	["aep_desc"] = "設定在滑鼠提示上顯示裝備的攻擊強度等價指數(AEP)",
	["aeph_cmd"] = "非致命一擊攻擊強度等價指數(AEPH)",
	["aeph_desc"] = "設定在滑鼠提示上顯示裝備的非致命一擊攻擊強度等價指數(AEPH)",
	["waep_cmd"] = "武器攻擊強度等價指數(WAEP)",
	["waep_desc"] = "設定在滑鼠提示上顯示裝備的武器攻擊強度等價指數(WAEP),以2.6速度武器為基礎計算",
	["hep_cmd"] = "治療等價指數(HEP)",
	["hep_desc"] = "設定在滑鼠提示上顯示裝備的治療等價指數(HEP)",
	["dep_cmd"] = "法傷等價指數(DEP)",
	["dep_desc"] = "設定在滑鼠提示上顯示裝備的法傷等價指數(DEP)",
	["deph_cmd"] = "非致命一擊法傷等價指數(DEPH)",
	["deph_desc"] = "設定在滑鼠提示上顯示裝備的非致命一擊法傷等價指數(DEPH)",
	["eip_cmd"] = "強化分項等價指數(EIP)",
	["eip_desc"] = "設定在滑鼠提示上顯示裝備的強化分項等價指數(EIP)",
	["ep_numbers_cmd"] = "EP數字",
	["ep_numbers_desc"] = "這裡可以改變EP數字的權重 (0 為禁用當前項)",
	["ep_guess_cmd"] = "EP幾率評估",
	["ep_guess_desc"] = "評估EP數字時包含武器上的非固定的屬性(例如：使用/有幾率)",
	["ep_gguess_cmd"] = "EP寶石評估",
	["ep_gguess_desc"] = "評估EP數字時包含寶石中的非固定屬性(例如：有一定幾率/可能)",
	["ep_expertisehack_cmd"] = "精準修正",
	["ep_expertisehack_desc"] = "設定使用Math.Floor(精準等級 / 15.8) * 15.8來修正精準等級的精度",
	["bestgem_cmd"] = "最佳寶石",
	["bestgem_desc"] = "根據你的設定計算最適合的寶石",
	["blue"] = "藍色",
	["yellow"] = "黃色",
	["red"] = "紅色",
	["any"] = "所有",
	
	["AGI"] = "敏捷",
	["ATTACKPOWER"] = "攻擊強度",
	["CR_CRIT"] = "近戰爆擊",
	["CR_HASTE"] = "近戰加速",
	["CR_HIT"] = "近戰命中",
	["CR_EXPERTISE"] = "武器技能",
	["CR_SPELLCRIT"] = "法術爆擊",
	["CR_SPELLHASTE"] = "法術加速",
	["CR_SPELLHIT"] = "法術命中",
	["CR_RESILIENCE"] = "韌性",
	["DMG"] = "法術傷害",
	["HEAL"] = "治療",
	["IGNOREARMOR"] = "無視護甲",
	["INT"] = "智力",
	["MANAREG"] = "5秒回魔(MP5)",
	["SPI"] = "精神",
	["STR"] = "力量",
	["STA"] = "耐力",
	["WEAPON_MIN"] = "武器最小傷害",
	["WEAPON_MAX"] = "武器最大傷害",
	["MH_DPS"] = "主手傷害",
	["OH_DPS"] = "副手傷害",
		
	["sound_cmd"] = "聲音",
	["sound_desc"] = "圖騰消失時進行聲音提示",
	
	["growpulse_cmd"] = "跳動模式",
	["growpulse_desc"] = "設定框體消失時變大並跳動",
	
	["borderpulse_cmd"] = "邊緣閃爍模式",
	["borderpulse_desc"] = "設定框體消失時邊緣變色",
	
	["alpha_cmd"] = "透明度",
	["alpha_desc"] = "設定框體透明度",
	
	["alpha_ooc_active_cmd"] = "未進入戰鬥時運作的框體",
	["alpha_ooc_active_desc"] = "設定當框體運作同時未進入戰鬥時框體的透明度",
	
	["alpha_ooc_inactive_cmd"] = "未進入戰鬥時未運作的框體",
	["alpha_ooc_inactive_desc"] = "設定當框體未運作同時未進入戰鬥時框體的透明度",
	
	["alpha_ic_active_cmd"] = "戰鬥時運作的框體",
	["alpha_ic_active_desc"] = "設定當框體運作同時進入戰鬥時框體的透明度",
	
	["alpha_ic_inactive_cmd"] = "戰鬥時未運作的框體",
	["alpha_ic_inactive_desc"] = "設定當框體未運作同時進入戰鬥時框體的透明度",
	
	["specialalpha_cmd"] = "額外透明度設置",
	["specialalpha_desc"] = "啟用額外透明度設置於\"bonus\"框體",
	
	--[[ Strings used for frames ]]--
	["DragToMoveFrame"] = "拖動", --"Click and drag to move frame",
	
	--[[ Warnings ]]--
	["TotemExpiring"] = "%s (%s) 即將消失",
	["TotemSlain"] = "%s (%s) 被摧毀!!!",
	["TotemDeath"] = "%s (%s) 消失",
	
	--[[ Announcements ]]--
	["Announcement"] = "如果你在使用中發現BUG或發生錯誤, 請通知作者，EMAIL： dennis.hafstrom@gmail.com，中文化翻譯錯誤請EMAIL至Onlyfly@gmail.com",
	-- "Enhancer is currently being developed if you find a bug somewhere or something you think is wrong, feel free to email me at dennis.hafstrom@gmail.com",
	["Announcement_cmd"] = "插件信息",
	["Announcement_desc"] = "插件信息設置",
	["a_show_cmd"] = "顯示",
	["a_show_desc"] = "顯示插件信息",
	["a_disable_cmd"] = "不顯示",
	["a_disable_desc"] = "載入時不顯示插件信息",
	
	[0] = "等級 0",
	[1] = "等級 1",
	[2] = "等級 2",
	[3] = "等級 3",
	[4] = "等級 4",
	[5] = "等級 5",
	[6] = "等級 6",
	[7] = "等級 7",
	[8] = "等級 8",
	[9] = "等級 9",
	[10] = "等級 10",
	[11] = "等級 11",
	[12] = "等級 12",
	[13] = "等級 13",
	[14] = "等級 14",
	[15] = "等級 15",
	[16] = "等級 16",
	[17] = "等級 17",
	[18] = "等級 18",
	[19] = "等級 19",
	[20] = "等級 20",
	
	["stormstrike_cmd"] = "風暴打擊",
	["stormstrike_desc"] = "設定框體以顯示風暴打擊狀態",
	
	["shield_cmd"] = "元素護盾",
	["shield_desc"] = "設定框體以顯示各種元素護盾狀態",
	
	["eshield_cmd"] = "大地之盾",
	["eshield_desc"] = "設定框體以顯示大地之盾狀態",
	["Lost track of Earth Shield"] = "大地之盾最後軌跡",
	["Earth Shield has expired"] = "大地之盾消失",
	["Earth Shield is about to expire"] = "大地之盾即將消失",
	
	["tench_cmd"] = "附魔",
	["tench_desc"] = "設定框體以顯示臨時附魔狀態",
	
	["invigorated_cmd"] = "亂舞",
	["invigorated_desc"] = "設定框體以顯示當亂舞使用時狀態(未驗證)",
	["Invigorated"] = "亂舞",
	
	["hway_cmd"] = "治療之路",
	["hway_desc"] = "設定框體以顯示治療之路的狀態條",
	["hway_yougain"] = "你已獲得治療之路效果", -- as it appears in combat log when you gain a buff!
	["hway_anchortext"] = "Alt+點擊以移除狀態條",
	
	["aep_import_crazyshaman_cmd"] = "Crazy Shaman輸入",
	["aep_import_crazyshaman_desc"] = "根據 Crazy Shaman的 DPS & AEP 計算表輸入字串 ( " .. U["CrazyShamanCalc"] .. " )",
	["aep_import_warning"] = "一些 AEP 值不包含在內, 請核對下列 AEP 值 (%s)",
	
	["yard_group_cmd"] = "生效範圍設置",
	["yard_group_desc"] = "當超過一定範圍取消圖騰框體",
	["yard_range_cmd"] = "範圍",
	["yard_range_desc"] = "設定圖騰框體失效範圍(默認: 150, 實際遊戲中接近100)",
	["yard_active_cmd"] = "啟用",
	["yard_active_desc"] = "設定通過範圍檢測取消圖騰框體功能是否啟用",
	
	["base_warn"] = " (基礎值)",
	
	["windfurytotem_cmd"] = "風怒圖騰",
	["windfurytotem_desc"] = "顯示額外的風怒圖騰計時器",
	
	["snap_cmd"] = "吸附",
	["snap_desc"] = "當框體鄰近時允許自動吸附",
	
	["font_cmd"] = "字體",
	["font_desc"] = "字體設定",
	["fontabove_cmd"] = "上部",
	["fontabove_desc"] = "框體上部文字字體設定",
	["fontcenter_cmd"] = "中間",
	["fontcenter_desc"] = "框體中間文字字體設定",
	["fontbelow_cmd"] = "下部",
	["fontbelow_desc"] = "框體下部文字字體設定",
	["fontname_cmd"] = "字體",
	["fontname_desc"] = "字型",
	["fontsize_cmd"] = "字體",
	["fontsize_desc"] = "字體大小",
	["fontflag_cmd"] = "陰影",
	["fontflag_desc"] = "字體陰影 (OUTLINE\|THICKOUTLINE\|NONE)",
	["Messages_cmd"] = "消息",
	["Messages_desc"] = "消息設定",
	
	["roman_cmd"] = "羅馬數字",
	["roman_desc"] = "在相關魔法護盾上使用羅馬數字表示所剩使用次數",
	
	["time_cmd"] = "計時風格",
	["time_desc"] = "計時設定",
	["pulse_cmd"] = "框體消失模式",
	["pulse_desc"] = "框體消失模式設定",
	["warning_cmd"] = "報警",
	["warning_desc"] = "報警設定",
	
	["blizztime_cmd"] = "暴雪計時風格",
	["blizztime_desc"] = "設定計時顯示為暴雪默認風格",
	["blizzssec_cmd"] = "精確計時風格",
	["blizzssec_desc"] = "設定是否使用精確計時到秒",
	["warnExpire_cmd"] = "即將消失",
	["warnExpire_desc"] = "在消失前報警",
	["warnDeath_cmd"] = "消失",
	["warnDeath_desc"] = "在消失的時候報警",
	["warnSlain_cmd"] = "摧毀",
	["warnSlain_desc"] = "在摧毀的時候報警",
	["warnTime_cmd"] = "時間設置",
	["warnTime_desc"] = "設置在消失前多少時間開始提示",
	["buffIndicator_cmd"] = "圖騰BUFF提示",
	["buffIndicator_desc"] = "當你獲得圖騰BUFF時設定BUFF提示位於框體圖標的哪個角",
	["topleft"] = "左上",
	["topright"] = "右上",
	["bottomleft"] = "左下",
	["bottomright"] = "右下",
	["noindication"] = "不提示",
	
	["news_cmd"] = "新聞",
	["news_desc"] = "顯示最新新聞",
	["news_1"] = "Enhancer的新聞和更新!",
	["news_2"] = "當有新的消息,新聞彈出只會顯示一次!",
	["news_3"] = "感謝您的閱讀!",
	["news_4"] = "交流",
	["news_5"] = "報告BUGs",
	["news_6"] = "異常",
	["news_7"] = "E-mail到: dennis.hafstrom@gmail.com",

	["Wizard Oil"] = "巫師之油",
	["Mana Oil"] = "法力之油",
	
	["Import_complete"] = "輸入圓滿完成",
	["low_cmd"] = "低等級設置",
	["low_desc"] = "導入為卡拉贊/英雄副本等級優化的裝備",
	["medium_cmd"] = "中等級設置",
	["medium_desc"] = "導入為卡拉贊/英雄副本到高階副本之間等級優化的裝備",
	["high_cmd"] = "高等級設置",
	["high_desc"] = "導入為完成高階副本等級優化的裝備",
	
	["purge_cmd"] = "淨化",
	["purge_desc"] = "顯示淨化目標",
	["purge_info"] = "淨化: |cffff0000-|r%s|cffff0000-|r",
	["purge_info_long"] = "淨化 %s 於 %s",
	["wshield_cmd"] = "水之護盾",
	["wshield_desc"] = "設定顯示水之護盾提示框體",
	["wshield_warn"] = "當水之護盾運作後禁止元素護盾模塊",
	
	["purge_opt_cmd"] = "淨化",
	["purge_opt_desc"] = "淨化選項 (淨化模塊須啟用)",
	["purge_announce_cmd"] = "通告",
	["purge_announce_desc"] = "向隊伍通知淨化目標 (於戰場除外)",
	["purge_raid_cmd"] = "團隊",
	["purge_raid_desc"] = "只向團隊通知",
	
	["attackpower_cmd"] = "攻擊強度",
	["attackpower_desc"] = "設定顯示攻擊強度計量器",
	["attackpower_max_cmd"] = "實際值",
	["attackpower_max_desc"] = "設定顯示實際值或是從當前最小值開始加",
	
	["gauge_cmd"] = "計量器",
	["gauge_desc"] = "計量器設定 (寬度/高度 等)",
	
	["width_cmd"] = "寬度",
	["height_cmd"] = "高度",
	
	["AEP Calc"] = "Calc AEP",
	
	["Gauge_Reset"] = "APG重置", -- Slashcommand (do not include the / (slash))
	["gauge_reset_cmd"] = "重置",
	["gauge_reset_desc"] = "重置所有數值為當前值",
}; end );

local L_EP = AceLibrary("AceLocale-2.2"):new("EnhancerEP")
L_EP:RegisterTranslations(locale, function() return {
	
	--[[ ItemTypes ]]--
	["Armor"] = "護甲",
	["Gem"] = "寶石",
	["Weapon"] = "武器",
	["Projectile"] = "彈藥",
	["Quiver"] = "箭袋",
	["Recipe"] = "配方",
	["Consumable"] = "消耗品",
	
	--[[ This is used for matching so need all of it and exactly as it is on the tooltip ]]--
	["Chance on hit:"] = "擊中時可能：",
	
	--[[ Tooltip strings ]]--
	["eep_info"] = "Enhancer的等價指數 (BoKed)%s:",
	
	["aep_tooltip"] = string.rep(" ", 3) .. "攻強等價指數(AEP)%s:",
	["aep_info"] = "AEP model from Tornhoof/Pater", -- Not used atm
	["aeph_tooltip"] = string.rep(" ", 3) .. "非爆攻強等價指數(AEPH):",
	
	["waep_tooltip1"] = string.rep(" ", 3) .. "主手武器攻強等價指數(WAEP-MH)%s: ",
	["waep_tooltip2"] = string.rep(" ", 3) .. "副手武器攻強等價指數(WAEP-OH)%s:",
	
	["hep_tooltip"] = string.rep(" ", 3) .. "治療等價指數(HEP)%s:",
	["hep_info"] = "Numbers from Leion (possibly very inaccurate and shouldn't be taken as gospel)", -- Not used atm
	
	["dep_tooltip"] = string.rep(" ", 3) .. "法傷等價指數(DEP)%s:",
	["dep_info"] = "Numbers from Leion (possibly very inaccurate and shouldn't be taken as gospel)", -- Not used atm
	["deph_tooltip"] = string.rep(" ", 3) .. "DamageEP w/o hit:",
	
	["ep_procsanduse"] = string.rep(" ", 3) .. "*) 過程的基礎為各種平均值和預期中的獎勵!",
	["ep_procsandusemissing"] = string.rep(" ", 3) .. "^) 不是所有過程和使用中的事件都可以被計算!",
	
	["eip_tooltip"] = "強化分項等價指數(EIP)%s:",
	["eip_info"] = "Numbers calculated by Leion", -- Not used atm
	
	["ep_numbers1"] = "%d (%d)",  -- Lua string.format
	["ep_numbers2"] = "%.2f (%.2f)",  -- Lua string.format
	
	["bestgem_link"] = "最佳寶石 (顏色 %s) 配合當前值是: %s 為 %.1f 和 %s 為 %.1f 通過 BoK",
	["bestgem_nolink"] = "最佳寶石 (顏色 %s) 配合當前值是: %s 為 %.1f 和 %s 為 %.1f 通過 BoK",
	["Red"] = "紅色",
	["Yellow"] = "黃色",
	["Blue"] = "藍色",
	["Any"] = "所有",
	
}; end );